package com.primeton.esb.project.restaurant.ps;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.primeton.esb.httpcomponent.client.IESBHttpMessage;
import com.primeton.esb.httpcomponent.client.nio.IHttpResponseChecker;

public class HelloServiceResponseCheck implements IHttpResponseChecker{

	public boolean businessResultCheck(IESBHttpMessage httpMessage) {
		Object body = httpMessage.getBody();
		if(body != null) {
			JSONObject jsonObj = (JSONObject) JSON.toJSON(body);
			if("000000".equals(jsonObj.getString("code"))) {
				return true;
			}
		}
		return false;
	}

}
